import { jsx } from "react/jsx-runtime";
import { TokenD2T as TokenD2T$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenD2T = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "D2T", "data-name": "TokenD2T", ...props, children: /* @__PURE__ */ jsx(TokenD2T$1, { variant }) });
  }
);
TokenD2T.displayName = "TokenD2T";
Object.assign(TokenD2T, { isGdsIcon: true });
export {
  TokenD2T
};
